#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB7,0xC6,0x16,0xAA,0xE1,0x25,0x0F,0xDA,0x46,0x38,0xB7,0x6E,
		0x42,0xBF,0x4A,0x3B,0x8A,0x3E,0x35,0x76,0xC3,0x0F,0xC3,0xA1,
		0x50,0x91,0xE2,0xDD,0x95,0x3F,0xFF,0xC3,0x0D,0xFD,0xA3,0x80,
		0x1A,0x0D,0x87,0x9D,0x9F,0x59,0xDC,0xA6,0x96,0x43,0xEF,0xCC,
		0xDA,0x28,0x8B,0x0A,0xAF,0xE8,0x85,0xBC,0x7F,0xA4,0xE0,0x05,
		0x5E,0xA6,0xB4,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
